GNU bug report logs - #51382
29.0.50; org-offer-links-in-entry is incompatible with native-compile

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: luangruo@HIDDEN; dated Mon, 25 Oct 2021 04:26:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51382 <at> debbugs.gnu.org:


Received: (at 51382) by debbugs.gnu.org; 27 Oct 2021 15:40:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 11:40:47 2021
Received: from localhost ([127.0.0.1]:50264 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfl2l-0001LS-8v
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 11:40:47 -0400
Received: from mail-vk1-f176.google.com ([209.85.221.176]:34477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chase.caleb@HIDDEN>) id 1mfkcv-0000WG-Mi
 for 51382 <at> debbugs.gnu.org; Wed, 27 Oct 2021 11:14:19 -0400
Received: by mail-vk1-f176.google.com with SMTP id bc10so1515041vkb.1
 for <51382 <at> debbugs.gnu.org>; Wed, 27 Oct 2021 08:14:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=4Y/tJYBpKffrExQzsp7gRQQUciPo8HIgqBOxwVPMKSs=;
 b=U3xNIA0idXVYXXzHhqUH3bGvo3CLFEnaU6PhEg0zx9ZGT78A+OQbxogINxJiiTjbw2
 hnA2zdNERCVEkcP84iB24SDH7tyK94L6xzoTT0e3Lg1qxEkf4TlSlP1m2UmJS82PqngE
 Dupec7hPnguD69rREvNndM/LZ1ba2peF+MqCL/EC6lScb7MS27elX9Un2jwD9KnZlP1p
 CHk0Nv8tAowCsREP2hH3I9Bf4wtZvm4zeIlrfIWCrE5l8fFeD62+jrU+jyow1y8vmlqa
 47AkCXE0z7IW014Nb+eo8phUuaCnA9a4FBRuMnOSGcgDN5qtZLK7NOxSD5esOLYPlhnZ
 nZNQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=4Y/tJYBpKffrExQzsp7gRQQUciPo8HIgqBOxwVPMKSs=;
 b=tKs2cNvd9up1JdE5Gg3bXcsXZHGRV9ugPNZ715IZYXurtN61qkHV1xOSPi64m95ygs
 SMrhkWA5d22qBIo+8OKbKH0nTDZTKplG2FCSSSQy3F+y9pmhZ83mMI06GSCJMwfAbE0e
 zPWLO+W9McHSv72JZ2FL2qj531Mha+2tuc1+q/zNO194U2ws58OD3CestlcZ7UMXlL8f
 g8ETSZUz4EWDQ8wKpKSpfid+vfuyaUHC7J+vQTvzeMtvhRfYuBM+eW6OKELHlHaHpc8M
 l00XEShGm5eZUp4hH26u+Zg0InCfH6Bs9KF2BhUiYvjxDwmdqfR9aSTdaKvqfjHYYSmW
 8E9w==
X-Gm-Message-State: AOAM532USzNoa00wsUs8t1soakQLgq4EVfbKDaLVGMjI6obEzLEqcLWw
 q7SKEE5VkU6R0JMH+PlVcdrmBe9CyKfw0ccOhu5SazzWmj/VzQ==
X-Google-Smtp-Source: ABdhPJyI3L+hc8T8WL5Ooocz51UwZcywFQwIZdMbr5Epam/+AEr5olAb8QN7D9We8lcphPIMNyOnpVrwE8V4OnnvFcY=
X-Received: by 2002:ac5:cff1:: with SMTP id m49mr17709866vkf.11.1635347639959; 
 Wed, 27 Oct 2021 08:13:59 -0700 (PDT)
MIME-Version: 1.0
From: Caleb Chase <chase.caleb@HIDDEN>
Date: Wed, 27 Oct 2021 10:13:49 -0500
Message-ID: <CAKTYAwoChdQ-hw19fFpothfTPv2ueDHhKzh77jPPPMPLF1R47w@HIDDEN>
Subject: bug#51382: 29.0.50;
 org-offer-links-in-entry is incompatible with native-compile
To: akrl@HIDDEN, 51382 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51382
X-Mailman-Approved-At: Wed, 27 Oct 2021 11:40:46 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Here's a trivial reproduction:

1. Create an org file, e.g. /tmp/test.org. See end of this message for
an example, but essentially any org file with a heading that contains
multiple links somewhere within its contents.
2. Ensure that org.el is natively compiled
3. Run "emacs -Q"
4. "C-x C-f" to open the test file
5. Move point to beginning of the header
6. "C-c C-o 2" to open the second link
7. Bug occurs: first link is opened regardless of choice in the previous step

Workaround:
1. Disable native comp for org.el in your early-init.el: (setq
native-comp-deferred-compilation-deny-list (list (rx "org/org.el"
string-end)))
   - Note: I think putting this early on in init.el would work too, so
long as it is set before org.el is loaded? Not sure.
2. Delete the native-compiled version of org.el. Check
native-comp-eln-load-path to determine the right directories, then in
each one run something like: find the-eln-directory -name
'org-[0-9]*\.eln' -delete

I'm not positive if both steps of the workaround are necessary or just
one of them.

---
Example contents for /tmp/test.org begin on the next line:
* Heading
  - https://debbugs.gnu.org/cgi/bugreport.cgi?bug=51382
  - https://www.gnu.org/software/emacs/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51382; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Oct 2021 08:51:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 25 04:51:46 2021
Received: from localhost ([127.0.0.1]:41651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mevhq-0006OC-9R
	for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 04:51:46 -0400
Received: from lists.gnu.org ([209.51.188.17]:43248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1mevho-0006O5-8R
 for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 04:51:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60158)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1mevho-0006PV-0u
 for bug-gnu-emacs@HIDDEN; Mon, 25 Oct 2021 04:51:44 -0400
Received: from mx.sdf.org ([205.166.94.24]:59460)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1mevhl-0004GO-SB
 for bug-gnu-emacs@HIDDEN; Mon, 25 Oct 2021 04:51:43 -0400
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 19P8mdY3029970
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Mon, 25 Oct 2021 08:48:40 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: luangruo--- via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#51382: 29.0.50; org-offer-links-in-entry is incompatible
 with native-compile
References: <87a6ixzq6h.fsf.ref@HIDDEN> <87a6ixzq6h.fsf@HIDDEN>
Date: Mon, 25 Oct 2021 08:48:39 +0000
In-Reply-To: <87a6ixzq6h.fsf@HIDDEN> (luangruo's message of "Mon, 25 Oct
 2021 12:25:26 +0800")
Message-ID: <xjfpmrt8p7c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=205.166.94.24; envelope-from=akrl@HIDDEN;
 helo=mx.sdf.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: luangruo@HIDDEN, wang@HIDDEN, 51382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

luangruo--- via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

> (I'm reporting this bug on behalf of wang@HIDDEN, who doesn't find
> it convenient to submit a bug report right now.)
>
> Hi, I'm facing a strange problem, if my org is compiled,
> org-open-at-point will always open the first link, no matter which link
> I select via org-offer-links-in-entry. If I delete the compiled file
> org-d208de9c-ca5ab453.eln, this issue gone temporary. Is there any way
> to permanently avoid this problem, or is this a bug of native-compile?
>
> GNU Emacs 29.0.50 (build 1, x86_64-apple-darwin20.6.0, NS appkit-2022.60
> Version 11.6 (Build 20G165)) of 2021-10-24

Hi Wang,

would you provide a step by step reproducer starting from emacs -Q?

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51382; Package emacs. Full text available.

Message received at 51382 <at> debbugs.gnu.org:


Received: (at 51382) by debbugs.gnu.org; 25 Oct 2021 08:48:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 25 04:48:43 2021
Received: from localhost ([127.0.0.1]:41643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mevet-0006H9-N2
	for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 04:48:43 -0400
Received: from mx.sdf.org ([205.166.94.24]:59790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1mever-0006Gr-P5
 for 51382 <at> debbugs.gnu.org; Mon, 25 Oct 2021 04:48:42 -0400
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 19P8mdY3029970
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Mon, 25 Oct 2021 08:48:40 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: luangruo--- via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#51382: 29.0.50; org-offer-links-in-entry is incompatible
 with native-compile
References: <87a6ixzq6h.fsf.ref@HIDDEN> <87a6ixzq6h.fsf@HIDDEN>
Date: Mon, 25 Oct 2021 08:48:39 +0000
In-Reply-To: <87a6ixzq6h.fsf@HIDDEN> (luangruo's message of "Mon, 25 Oct
 2021 12:25:26 +0800")
Message-ID: <xjfpmrt8p7c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51382
Cc: luangruo@HIDDEN, wang@HIDDEN, 51382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

luangruo--- via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

> (I'm reporting this bug on behalf of wang@HIDDEN, who doesn't find
> it convenient to submit a bug report right now.)
>
> Hi, I'm facing a strange problem, if my org is compiled,
> org-open-at-point will always open the first link, no matter which link
> I select via org-offer-links-in-entry. If I delete the compiled file
> org-d208de9c-ca5ab453.eln, this issue gone temporary. Is there any way
> to permanently avoid this problem, or is this a bug of native-compile?
>
> GNU Emacs 29.0.50 (build 1, x86_64-apple-darwin20.6.0, NS appkit-2022.60
> Version 11.6 (Build 20G165)) of 2021-10-24

Hi Wang,

would you provide a step by step reproducer starting from emacs -Q?

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51382; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Oct 2021 04:25:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 25 00:25:49 2021
Received: from localhost ([127.0.0.1]:41414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1merYS-0007eC-L0
	for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 00:25:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:60694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1merYM-0007dz-01
 for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 00:25:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45188)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1merYL-0007kl-N9
 for bug-gnu-emacs@HIDDEN; Mon, 25 Oct 2021 00:25:41 -0400
Received: from sonic305-20.consmr.mail.ne1.yahoo.com ([66.163.185.146]:39791)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1merYJ-0008Bm-Po
 for bug-gnu-emacs@HIDDEN; Mon, 25 Oct 2021 00:25:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1635135936; bh=lNUdLLuLlb/J+cKkZuIu+8RgJ4f5LHAF7AermZzZP0E=;
 h=From:To:Subject:Date:References:From:Subject:Reply-To;
 b=KpV9bk6cIGWzTwG7kJoe4dgRnlAjPFlZR3SZObjcoFZMKuTcznWLiU5GSF3xTN24I56SfckDRvRJell+porglOhAW5L1tS1C9Vt17fZUNJZr20HsxPfvYH/n9HMcDfQOunIf3YtW74BJPORXDDnJvBErxmdZp7JJcwA/Gy5RzIbjz/jwBI8KFYxBM5CNnqG4Cg4AUMViXCBvAcVOLJnWzb3pFKbOCEgRx2dcPNQ8UIe4w2b0TKO0Oe2hoZInU+Vr3pNr69kzH0cTw1jSvWVO4AammmlSXcgS9P+0XIN8wQI1MYRd2DgYamYM4vITVWNAUrqioW4LMKZb3jUm8SYpgQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1635135936; bh=oRXwq/mEKmukNqHAVYDk2ac/Pz2wFuVfMCw3UgwLG9T=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=F+3TkkYOmKUidBdFbsmoOaw/S3kadZiJLESYT5J8aH68ILQ3ozZthQsqjJ/jyTZCDVWbJuyZ7oEH8+/abvA90S2vYQejDj+8KMTHowhTugTERe4Ssh0LlUjMBVmkPFdCvW9fX8nFPM6/yERBi6JrFh3V5p/PbTHrwxKs/wS0DGRiKm1eKhyZZGqJ3UNym9kH9a1kj5ixVndxozHWq44rNDVljXeckwiKtIgtQsvNiLXbD5ufHv40RPW3k8G8WZ5GdjiknMnNOd2N0MT5aid+jinPFrNauctCN22swsBXkIIVXpOqDlAodmGxrBmHv303X8R2rM7NBKkpGrifIBGOow==
X-YMail-OSG: CmLk8r4VM1l1ppL9ggeaBs9gIYjVvS57rMoPUSuJum6hq9HQ_4vU6wWQX9QSgLm
 Y7BhlFsjLsxbDkpP6ArRCiJjyyAR_apm8vRF_KLAzlemRgusVKT48PvYWiGs2Rbl554SuChMlSU.
 XYSTLp1NNAaxh12KCg0O5Cyi3y5DXNkcdaljeD0TQE.RyE4oJQQ5MaqCHxYmGSmhQ2Gw7lFKUws5
 Fwvb6NUP9qxh5W3.SE4Sz7x_nCAq3O7gHOhcdb8qIBNMXv3YLHjuMW7ra6SqSXVSBh6dz.Nu8tEm
 KXkZx.i2iYU7z_Kc9FJoRTNH7q0lECYHcELiNWv0gJaaZHTj7C.0kXTDc8.wdWBy.NTBJ.7wPu2i
 AQ5HRrlnSmo0w_MAeo0VkNk8Tr5QHeZzyYjR5VayVuLMW.023SNmmuSXZ9DLBud06XbSEDMMMf6Z
 Z0EReJcE8Af3ApTeGmAs2c67HhZBO1TM1dhutkfI5beUw3Kd6jwDPbvKppr35z6KkFPUCEYxG.wD
 fafzapJm2789sp7oTnpuzyUdLj0fVemiyS3ylVbpL9lN5wJOpz5IteqGJdlmfdPbgIpDXB5pIJSb
 i_Ome6GXlLSWM2yujeCcXvgryYlQ06w74ke2QG2OKQa9FJp4YPByWHiPCxdvjrhomZdCqLy_09GL
 J_L0fgJpiaD.oJgCpw.fGis0FjQt6d5SDPctF4NNMDndX.vWIYAxG_8qXhnWQdr2PeGHtKUF6W6d
 fHzKdBa3szbp.OS4myeOyE0oUSEx2K692SQzJZfvWXz4yvaq_I_131NCV8flH9OnsL.J.JZReBYk
 m5MIxJb2r4vOg2ZcDF3eilYS0VSmn3FKkVwkoBf4K183LIjM_bD87OOCjyl7PByfM4h15Lj0qEHw
 sTllI87TjBlhhZ_Gub9uWyNuBSdvyW2_.Ux5na2_D6s7_LSMzufhP_ACqWIE2Gxzoh5AwuGslWMQ
 5tLPQya3niUev30g46ujfqCBGfGGlXfQFjU1mRYAVOxVyN6mFKgQyvdPySSqKPdYkxW0KX4iuHIi
 0YzfJCOtiCJJqCbq36huEvYm6gQLtFm_Dyyq1pB2fovVwNfBiC75Vr.dAXOMSQxKcI3EcUfIijHV
 msGuCxP24chuu3XXEBnJRkoR2NJ7QtcGPpZ.Yu9rJG4TmHkRViGKQkD8eG0xQH65j.SkT8d6t88X
 O39sEZdVlD9oyZgn.99ocDJPxmZC3u6RJ98IxTTQNdz78FjkfVUvPVslyEkrsSW0VqOQ1HAUAQ9v
 V_q_VJ803Jm2CV8GtuSHwbwDNWCXtM2vAy4AwTl63Vl3Ti4z7YwUa5S3Q01uQUN3gP7ws6_Tt7P6
 eT3L5iT_E6Oa_hN8F_l3flEwod0lyI0uxs.R18iQAPYZ3SWJ4SXzEd4a7vx2z0V8jQ_vvh9FIdGg
 gR.W3lNgbVzHmgSxf0MRsNndd7qWBUKjgRZ6ZPT5oNOmBdlZ.N0DCTXGwsHCMNiGAOwF3lVadTMs
 48Dx7PUfC8raFuw_VOyEkeDkzVooW2PYISApZy1kP3scl8eGDIOqdAvovS8kkWFdxgUNUam9AJgR
 YbXq_v0KOxsYnpYMFUOJ6C_qbZ58SwhgXHdkeD4U.sYIXrOpz2BBun6YqdLqW3ambBklCyipSwyG
 cpSJ._LCYMe0Y14fUd4gJrZtaHtaJrUiX3bQF48.LziOruIIUDJr93U8F2Uyvq_EY826qi.vPXvt
 ryJBJ1PvM0_SCUT5kCJVQQVK8Ub5bk7JcMVKdl6cdeeaNKo420dhV7QlpbqAGMALsTzJPaCuhKsa
 WhokBa41XLlu62GxMKnIMYZiXGMyC7nHdZVXHO89_chomgSQkDCulx76snLohWWmxHxeJ1NOof8E
 47EvUMgAGz8rbVcpwcYE6SldAq8LtS9Cu159_DnsAYmX78CtrmgTgYBTOFiQ4FoUOB7QCQ4cfQgm
 D3ydtixpTCIKjOodU_Ah5GgRAsjKRNwqLtGFSqAB200zQuwVhnQHJevxUfnslWCm7h5EFqkl_AyX
 e7PATD4XFi2oGNtZagYGOPO_YM7dfOauE_CKrTUu3yz7y0sb8hqfn2hVqXNkeTYrVTz_EURAzaHV
 eM0AiPbqMOoT8bxtOJGmxhlBANawKc249_QlQ_7DBew0T6UW0Opa7KeWwENSiOyVBlOOFbta6LSG
 LRr_cd_MOB.YfnL14jpuV9Zf2gR4Leer5dfZ3Im0o3WqBipRP5FTW8I_n_4kFk8dBeIm2dDX3l38
 VycuxIAYVcm6h1MPtft4zlqCgNHc-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic305.consmr.mail.ne1.yahoo.com with HTTP; Mon, 25 Oct 2021 04:25:36 +0000
Received: by kubenode508.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 3c18ba8c7f5dfdb7cdfb8d8cd2c55cf9; 
 Mon, 25 Oct 2021 04:25:30 +0000 (UTC)
From: luangruo@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; org-offer-links-in-entry is incompatible with native-compile
X-Debbugs-Cc: wang@HIDDEN
Date: Mon, 25 Oct 2021 12:25:26 +0800
Message-ID: <87a6ixzq6h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
References: <87a6ixzq6h.fsf.ref@HIDDEN>
X-Mailer: WebService/1.1.19198
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 578
Received-SPF: pass client-ip=66.163.185.146; envelope-from=luangruo@HIDDEN;
 helo=sonic305-20.consmr.mail.ne1.yahoo.com
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) BAYES_20=-0.001, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

(I'm reporting this bug on behalf of wang@HIDDEN, who doesn't find
it convenient to submit a bug report right now.)

Hi, I'm facing a strange problem, if my org is compiled,
org-open-at-point will always open the first link, no matter which link
I select via org-offer-links-in-entry. If I delete the compiled file
org-d208de9c-ca5ab453.eln, this issue gone temporary. Is there any way
to permanently avoid this problem, or is this a bug of native-compile?

GNU Emacs 29.0.50 (build 1, x86_64-apple-darwin20.6.0, NS appkit-2022.60
Version 11.6 (Build 20G165)) of 2021-10-24




Acknowledgement sent to luangruo@HIDDEN:
New bug report received and forwarded. Copy sent to wang@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to wang@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#51382; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 28 Oct 2021 03:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.